Unofficial OpenGL Software Development Kit: GL Load C interface

Unofficial OpenGL Software Development Kit 0.5.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Enumerations | Functions
GL Load C interface
GL Load

##

The C interface for initializing OpenGL.

## Enumerations

enum | { ogl_LOAD_FAILED = 0, ogl_LOAD_SUCCEEDED }
| The loading status returned by the loading functions. More...
enum | { wgl_LOAD_FAILED = 0, wgl_LOAD_SUCCEEDED }
| The loading status returned by the loading functions. More...
enum | { glx_LOAD_FAILED = 0, glx_LOAD_SUCCEEDED }
| The loading status returned by the loading functions. More...

## Functions

int | ogl_LoadFunctions ()
| Loads all of the function pointers available. More...
int | ogl_GetMajorVersion ()
int | ogl_GetMinorVersion ()
int | ogl_IsVersionGEQ (int testMajorVersion, int testMinorVersion)
int | wgl_LoadFunctions (HDC hdc)
| Loads all of the function pointers available. More...
int | glx_LoadFunctions (Display *display, int screen)
| Loads all of the function pointers available. More...

## Enumeration Type Documentation

anonymous enum

The loading status returned by the loading functions.

Enumerator
ogl_LOAD_FAILED | Failed to load entirely.
ogl_LOAD_SUCCEEDED | At least partially succeded.

anonymous enum

The loading status returned by the loading functions.

Enumerator
wgl_LOAD_FAILED | Failed to load entirely.
wgl_LOAD_SUCCEEDED | At least partially succeded.

anonymous enum

The loading status returned by the loading functions.

Enumerator
glx_LOAD_FAILED | Failed to load entirely.
glx_LOAD_SUCCEEDED | At least partially succeded.

## Function Documentation

int glx_LoadFunctions | ( | Display * | display,
|  | int | screen
| ) |  |

Loads all of the function pointers available.

Loads function pointers for GLX extensions.

Returns
  Will return glx_LOAD_FAILED if the loading failed entirely and nothing was loaded. Returns glx_LOAD_SUCCEEDED if the loading process worked as planned. If it is neither, then the (return value - glx_LOAD_SUCCEEDED) is the number of core functions that fialed to load.

int ogl_GetMajorVersion | ( |  | ) |

This function retrieves the major GL version number. Only works after LoadFunctions has been called.

int ogl_GetMinorVersion | ( |  | ) |

This function retrieves the minor GL version number. Only works after LoadFunctions has been called.

int ogl_IsVersionGEQ | ( | int | testMajorVersion,
|  | int | testMinorVersion
| ) |  |

Returns non-zero if the current GL version is greater than or equal to the given version.

int ogl_LoadFunctions | ( |  | ) |

Loads all of the function pointers available.

Loads function pointers for OpenGL. This function will also load the core OpenGL functions (ie: not in extensions). It will only load the version and profile specified by the current OpenGL context. So if you get a 3.2 compatibility context, then it will load only try to load 3.2 compatibility in addition to any available extensions.

Returns
  Will return ogl_LOAD_FAILED if the loading failed entirely and nothing was loaded. Returns ogl_LOAD_SUCCEEDED if the loading process worked as planned. If it is neither, then the (return value - ogl_LOAD_SUCCEEDED) is the number of core functions that fialed to load.

int wgl_LoadFunctions | ( | HDC | hdc | ) |

Loads all of the function pointers available.

Loads function pointers for WGL extensions.

Returns
  Will return wgl_LOAD_FAILED if the loading failed entirely and nothing was loaded. Returns wgl_LOAD_SUCCEEDED if the loading process worked as planned. If it is neither, then the (return value - wgl_LOAD_SUCCEEDED) is the number of core functions that fialed to load.